Bug 199974 - [ports-mgmt/portlint] Stray warnings about no USES=gettext and no .if ${PORT_OPTIONS:MNLS} when both are present
Summary: [ports-mgmt/portlint] Stray warnings about no USES=gettext and no .if ${PORT_...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-05 20:02 UTC by Yuri Victorovich
Modified: 2015-05-17 22:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-05-05 20:02:07 UTC
In security/libgpg-error(version 1.19), it prints warnings like this:
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [17]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc.

when there *is* USES+=gettext within .if ${PORT_OPTIONS:MNLS}
Comment 1 Joe Marcus Clarke freebsd_committer 2015-05-05 23:42:57 UTC
I'm not seeing this:

portlint -C
WARN: /usr/ports/security/libgpg-error/pkg-plist: [4]: enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro.
WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc.
WARN: Makefile: Consider defining LICENSE.
0 fatal errors and 3 warnings found.

What version of portlint do you have?
Comment 2 Yuri Victorovich freebsd_committer 2015-05-05 23:52:31 UTC
I ran portlint -A.

Also, while you are at this, "enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro" isn't a warning, it is an error. .info in plist causes leftover errors in poudriere builds, which are real leftover 'info/dir' files.
Comment 3 Joe Marcus Clarke freebsd_committer 2015-05-06 01:13:42 UTC
I'm still not seeing it:

portlint -A
WARN: /usr/ports/security/libgpg-error/pkg-plist: [4]: enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro.
WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: Consider defining LICENSE.
Comment 4 Yuri Victorovich freebsd_committer 2015-05-06 01:25:47 UTC
Not sure how this is possible. I use portlint-2.16.3, perl version perl5-5.16.3_18 Can version mismatch have something to do with this?

Complete output I am seeing:
> # portlint -A
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [4]: enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro.
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [18]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [19]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [20]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [21]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [22]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [23]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [24]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [25]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [26]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [27]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [28]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [29]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [30]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [31]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [32]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [33]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [34]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [35]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: /usr/ports/security/libgpg-error/pkg-plist: [36]: installing gettext translation files, please define USES[+]=gettext as appropriate
> WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc.
> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
> WARN: Makefile: Consider defining LICENSE.
> FATAL: work: be sure to cleanup the working directory before committing the port.
> 1 fatal error and 23 warnings found.
Comment 5 Joe Marcus Clarke freebsd_committer 2015-05-06 01:34:11 UTC
Do you have the NLS option currently disabled?
Comment 6 Yuri Victorovich freebsd_committer 2015-05-06 01:35:18 UTC
(In reply to Joe Marcus Clarke from comment #5)

Yes
Comment 7 Yuri Victorovich freebsd_committer 2015-05-06 01:43:29 UTC
portlint result shouldn't depend on the options currently selected by the user.
Comment 8 Joe Marcus Clarke freebsd_committer 2015-05-06 02:42:20 UTC
Try this patch and see if it helps.

http://www.marcuscom.com/cgi-bin/cvsweb.cgi/portlint/portlint.pl.diff?r1=1.355&r2=1.356&f=h
Comment 9 Yuri Victorovich freebsd_committer 2015-05-06 03:48:38 UTC
With this patch, USES[+]=gettext part is gone.
Comment 10 commit-hook freebsd_committer 2015-05-17 22:44:54 UTC
A commit references this bug:

Author: marcus
Date: Sun May 17 22:44:10 UTC 2015
New revision: 386646
URL: https://svnweb.freebsd.org/changeset/ports/386646

Log:
  Update to 2.16.4

  * Correct a typo.  This should have been SITE_ARCH_REL. [1]
  * Pre-populate USES with an explicit grep of the Makefile. [2]
  * Correct a typo to prevent direct command usage checking in pkg-* files. [3]
  * Adjust the order of first-paragraph items so that proper checking is done. [4]
  * Adjust the warning about installing docs by wrapping with
    .if ${PORT_OPTIONS:MDOCS}. [5]
  * Add a check for ${SETENV} instead of ${ENV}. [5]

  PR:		199974 [2]
  		199693 [3]
  		199428 [4]
  		199417 [5]
  Submitted by:	adamw [4]
  		sunpoet [1]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 11 Joe Marcus Clarke freebsd_committer 2015-05-17 22:45:20 UTC
Should be fixed in 2.16.4.